Bug 1269101 - RHEL 7.1 via HTTP tree identified as 7.0
RHEL 7.1 via HTTP tree identified as 7.0
Status: NEW
Product: Virtualization Tools
Classification: Community
Component: libosinfo (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-06 06:50 EDT by Alexander Todorov
Modified: 2016-09-19 21:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1268300
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2015-10-06 06:50:15 EDT
+++ This bug was initially created as a clone of Bug #1268300 +++

Description of problem:

RHEL 7.1 is present  but for some reason virt-manager when using http/.treeinfo identifies it as rhel7.0

--- Additional comment from Christophe Fergeau on 2015-10-02 16:34:03 EEST ---

(In reply to Alexander Todorov from comment #0)
> 
> 7.1 is present  but for some reason virt-manager when using http/.treeinfo
> identifies it as rhel7.0

I'm not sure libosinfo is involved with identifying these


-------------

As far as I was able to track virt-manager's code it reads the version from .treeinfo and forms a string like rhel7.1. Then it tries to validate it against libosinfo and if that fails decrements the minor number so the string becomes rhel7.0.


Let me know if you need this reassigned to virt-manager for more feedback. 

This is on Rawhide.

Note You need to log in before you can comment on or make changes to this bug.